Sharepoint 2013: The product requires Microsoft .NET Framework 4.5

After completing the prerequisite installations, you can start installation process of Sharepoint 2013. But you may face the following error:

This is because Sharepoint 2013 does not recognise the .NET Framework 4.6, 4.6.1, or 4.6.2 as a supported version of the .NET Framework.

Microsoft Support site indicates there is a quite simple solution described in the link below.

https://support.microsoft.com/en-us/help/3087184/sharepoint-2013-or-project-server-2013-setup-error-if-the–net-framewo

To resolve this problem, follow these steps:

  1. Copy Sharepoint Installation files to a new folder.
  2. Download the fix file below:
  3. Open the .zip file.
  4. Copy the following Setup support file, as appropriate, from the .zip file into the “new” folder¬†you created for setup files.
  5. Run Setup.exe from the writable location to start SharePoint Setup or Project Server Setup. Setup will use the support file that contains the fix that you’ve copied into the “new” folder.

Have a nice day.

Leave a Reply

Your email address will not be published. Required fields are marked *